# ‹› `` `markdown.extensions.wikilinks`

Converts `[[WikiLinks]]` to relative links.

See the documentation for details.

Classes:

- `WikiLinkExtension` –

  Add inline processor to Markdown.

- `WikiLinksInlineProcessor` –

  Build link from `wikilink`.

Functions:

- `build_url` –

  Build a URL from the label, a base, and an end.

## ‹› `` `markdown.extensions.wikilinks.build_url(label: str, base: str, end: str) -> str`

Build a URL from the label, a base, and an end.

## ‹› `` `markdown.extensions.wikilinks.WikiLinkExtension(**kwargs)`

Bases: `Extension`

Add inline processor to Markdown.

Methods:

- `extendMarkdown` –

  Register the processor.

Attributes:

- `config` –

  Default configuration options.

### ‹› `` `markdown.extensions.wikilinks.WikiLinkExtension.config` `instance-attribute`

Default configuration options.

Defined Value:

    self.config = {
        'base_url': ['/', 'String to append to beginning or URL.'],
        'end_url': ['/', 'String to append to end of URL.'],
        'html_class': ['wikilink', 'CSS hook. Leave blank for none.'],
        'build_url': [build_url, 'Callable formats URL from label.'],
    }

### ‹› `` `markdown.extensions.wikilinks.WikiLinkExtension.extendMarkdown(md)`

Register the processor.

Class Instance | Registry | Name | Priority
--- | --- | --- | ---
`WikiLinksInlineProcessor` | `inlinepatterns` | `wikilink` | `75`

## ‹› `` `markdown.extensions.wikilinks.WikiLinksInlineProcessor(pattern: str, config: dict[str, Any])`

Bases: `InlineProcessor`

Build link from `wikilink`.